import { Article, IGXE, ArticleInfo, ArticleData } from "../";
export interface IQueryableArticleState {
    getPrimaryArticlesOfSet(setId: string): Article[];
    getAllArticles(): Article[];
    getAllItems(): Article[];
    getAllSets(): Article[];
    getArticlesOfSet(setId: string): Article[];
    getArticleByGfxId(gfxId: string): Article | undefined;
    getArticleByComId(comId: string): Article | undefined;
    getItemByComId(comId: string): Article | undefined;
    getSetByComId(comId: string): Article | undefined;
    /**
     * Returns an article's configuration
     *
     * @param {string} comId
     * @returns {IGXE.IArticleConfiguration}
     */
    getArticleConfiguration(comId: string): IGXE.IArticleConfiguration | undefined;
    /**
     * Returns an article's configuration
     *
     * @param {string} comId
     * @returns {IGXE.IArticleConfiguration}
     */
    getItemConfiguration(comId: string): IGXE.IArticleConfiguration | undefined;
    getArticleInfo(comId: string): ArticleInfo | undefined;
    getArticleData(comId: string): ArticleData | undefined;
    getArticlesBySource(source: string): Article[];
    getHeadArticle(source: string): Article | undefined;
}
export declare const articleState: IQueryableArticleState;
